import request from '@/utils/wms-request'

// 查询货架列表
export function listShelves(query) {
  return request({
    url: '/basic/shelves/list',
    method: 'get',
    params: query
  })
}

// 查询货架详细
export function getShelves(id) {
  return request({
    url: '/basic/shelves/' + id,
    method: 'get'
  })
}

// 新增货架
export function addShelves(data) {
  return request({
    url: '/basic/shelves',
    method: 'post',
    data: data
  })
}

// 修改货架
export function updateShelves(data) {
  return request({
    url: '/basic/shelves',
    method: 'put',
    data: data
  })
}

// 删除货架
export function delShelves(id) {
  return request({
    url: '/basic/shelves/' + id,
    method: 'delete'
  })
}

// 导出货架
export function exportShelves(query) {
  return request({
    url: '/basic/shelves/export',
    method: 'get',
    params: query
  })
}

